{{ form_start(form) }}
{{ form_widget(form) }}
<button type="submit" class="btn btn-primary hide">Hidden submit</button>
{{ form_end(form) }}

<hr>
<fieldset>
    <legend class="modal-padding">Aperçu</legend>
    <div class="modal-padding label-preview"></div>
</fieldset>

<script>
    $(RefaeModal.modalId).find('form').find('input, select')
        .off('.label-preview')
        .on('change keyup', function () {
            let backgroundColor = $('#{{ form.children.color.vars.id }}').val();
            let groupSelect = $('#{{ form.children.labelGroup.vars.id }}');
            let group = groupSelect.val() ? groupSelect.find('option[value="' + groupSelect.val() + '"]').text() : null;
            let name = $('#{{ form.children.name.vars.id }}').val();
            let span = RefaeLabel.span(name, backgroundColor, group);
            let previewDiv = $(RefaeModal.modalId).find('.label-preview').empty()
                .append(span);
        })
        .first()
        .trigger('change');
</script>
